- Qt 5.15
- Qt 3D
- C++ Classes
- QNodeDestroyedChange
- Qt 5.15.18 Reference Documentation

# QNodeDestroyedChange Class

class Qt3DCore::QNodeDestroyedChange

Used to notify when a node is destroyed. More...

Header: | #include <Qt3DCore/QNodeDestroyedChange>
qmake: | QT += 3dcore
Since: | Qt 5.7
Inherits: | Qt3DCore::QSceneChange

This class was introduced in Qt 5.7.

- List of all members, including inherited members

## Public Functions

| QNodeDestroyedChange(const QNode *node, const QVector<QNodeIdTypePair> &subtreeIdsAndTypes)
QVector<QNodeIdTypePair> | subtreeIdsAndTypes() const

## Related Non-Members

typedef | QNodeDestroyedChangePtr

## Detailed Description

## Member Function Documentation

### QNodeDestroyedChange::QNodeDestroyedChange(const QNode *node, const QVector<QNodeIdTypePair> &subtreeIdsAndTypes)

Constructs a new QNodeDestroyedChange with node and its subtreeIdsAndTypes.

### QVector<QNodeIdTypePair> QNodeDestroyedChange::subtreeIdsAndTypes() const

Returns a vector of subtree node id type pairs

## Related Non-Members

### typedef QNodeDestroyedChangePtr

A shared pointer for QNodeDestroyedChange.